Functions
Peripheral Control and State functions
Peripheral Driver » HAL Driver » DUAL TIMER » Functions

DUAL TIMER Peripheral State functions. More...

## Functions
hal_dual_timer_state_t | hal_dual_timer_get_state (dual_timer_handle_t *p_dual_timer)
| Return the DUAL TIMER handle state. More...
hal_status_t | hal_dual_timer_set_config (dual_timer_handle_t *p_dual_timer, dual_timer_init_t *p_structure)
| DUAL TIMER configuration. More...
hal_status_t | hal_dual_timer_set_background_reload (dual_timer_handle_t *p_dual_timer, uint32_t reload_value)
| DUAL TIMER set background reload value The background reload value contains the value from which the counter is to decrement. This is the value used to reload the counter when Periodic mode is enabled, and the current count reaches 0. The difference is that writes to background reload value do not cause the counter to immediately restart from the new value. More...
hal_status_t | hal_dual_timer_set_onetime_reload (dual_timer_handle_t *p_dual_timer, uint32_t reload_value)
| DUAL TIMER set one-time reload value The one-time reload value contains the value from which the counter is to decrement. This is the value used to reload the counter when Periodic mode is enabled, and the current count reaches 0. The difference is that writes to one-time reload value do not cause the counter to immediately restart from the new value. The one-time reload value only takes effect in the next cycle. It has higher priority than background reload. More...
hal_status_t | hal_dual_timer_set_period_count (dual_timer_handle_t *p_dual_timer, uint32_t count_value)
| DUAL TIMER set period count value The value is valid when the value is greater than 1. This fucntion is only avaliable in Period/Loop mode with IO control. This function call must be after hal_dual_timer_io_crtl_config. This function will force the stop action interrupt to be turned on. If the current count value of the dual timer is not the period value, it may cause the first period to be shortened. More...
hal_status_t | hal_dual_timer_io_crtl_config (dual_timer_handle_t *p_dual_timer, dual_timer_io_ctrl_cfg_t *p_structure)
| DUAL TIMER io ctrl configuration This function call must be after hal_dual_timer_base_init. More...

## Detailed Description

DUAL TIMER Peripheral State functions.

      ==============================================================================
                ##### Peripheral Control and State functions #####
      ==============================================================================
        [..]
        This subsection provides functions allowing to :
          (+) Return the DUAL TIMER handle state.
          (+) Configure the DUAL TIMER.

## Function Documentation

## ◆ hal_dual_timer_get_state()

hal_dual_timer_state_t hal_dual_timer_get_state | ( | dual_timer_handle_t * | p_dual_timer | ) |

Return the DUAL TIMER handle state.

Parameters

  [in] | p_dual_timer | Pointer to a DUAL_TIMER handle which contains the configuration information for the specified DUAL TIMER.

Return values

  HAL_DUAL_TIMER_STATE_RESET | Peripheral not yet initialized or disabled.
  HAL_DUAL_TIMER_STATE_READY | Peripheral Initialized and ready for use.
  HAL_DUAL_TIMER_STATE_BUSY | An internal process is ongoing.
  HAL_DUAL_TIMER_STATE_ERROR | Reception process is ongoing.

## ◆ hal_dual_timer_io_crtl_config()

hal_status_t hal_dual_timer_io_crtl_config | ( | dual_timer_handle_t * | p_dual_timer,
|  | dual_timer_io_ctrl_cfg_t * | p_structure
| ) |  |

DUAL TIMER io ctrl configuration This function call must be after hal_dual_timer_base_init.

Parameters

  [in] | p_dual_timer | Pointer to a DUAL_TIMER handle which contains the configuration information for the specified DUAL TIMER.
  [in] | p_structure | The DUAL TIMER io crtl configuration structure

Return values

  HAL_OK | Operation is OK.
  HAL_ERROR | Parameter error or operation not supported.
  HAL_BUSY | Driver is busy.
  HAL_TIMEOUT | Timeout occurred.

## ◆ hal_dual_timer_set_background_reload()

hal_status_t hal_dual_timer_set_background_reload | ( | dual_timer_handle_t * | p_dual_timer,
|  | uint32_t | reload_value
| ) |  |

DUAL TIMER set background reload value The background reload value contains the value from which the counter is to decrement. This is the value used to reload the counter when Periodic mode is enabled, and the current count reaches 0. The difference is that writes to background reload value do not cause the counter to immediately restart from the new value.

Parameters

  [in] | p_dual_timer | Pointer to a DUAL_TIMER handle which contains the configuration information for the specified DUAL TIMER.
  [in] | reload_value | Background reload value

Return values

  HAL_OK | Operation is OK.
  HAL_ERROR | Parameter error or operation not supported.
  HAL_BUSY | Driver is busy.

## ◆ hal_dual_timer_set_config()

hal_status_t hal_dual_timer_set_config | ( | dual_timer_handle_t * | p_dual_timer,
|  | dual_timer_init_t * | p_structure
| ) |  |

DUAL TIMER configuration.

Parameters

  [in] | p_dual_timer | Pointer to a DUAL_TIMER handle which contains the configuration information for the specified DUAL TIMER.
  [in] | p_structure | The DUAL TIMER configuration structure

Return values

  HAL_OK | Operation is OK.
  HAL_ERROR | Parameter error or operation not supported.
  HAL_BUSY | Driver is busy.
  HAL_TIMEOUT | Timeout occurred.

## ◆ hal_dual_timer_set_onetime_reload()

hal_status_t hal_dual_timer_set_onetime_reload | ( | dual_timer_handle_t * | p_dual_timer,
|  | uint32_t | reload_value
| ) |  |

DUAL TIMER set one-time reload value The one-time reload value contains the value from which the counter is to decrement. This is the value used to reload the counter when Periodic mode is enabled, and the current count reaches 0. The difference is that writes to one-time reload value do not cause the counter to immediately restart from the new value. The one-time reload value only takes effect in the next cycle. It has higher priority than background reload.

Parameters

  [in] | p_dual_timer | Pointer to a DUAL_TIMER handle which contains the configuration information for the specified DUAL TIMER.
  [in] | reload_value | One-time reload value

Return values

  HAL_OK | Operation is OK.
  HAL_ERROR | Parameter error or operation not supported.
  HAL_BUSY | Driver is busy.

## ◆ hal_dual_timer_set_period_count()

hal_status_t hal_dual_timer_set_period_count | ( | dual_timer_handle_t * | p_dual_timer,
|  | uint32_t | count_value
| ) |  |

DUAL TIMER set period count value The value is valid when the value is greater than 1. This fucntion is only avaliable in Period/Loop mode with IO control. This function call must be after hal_dual_timer_io_crtl_config. This function will force the stop action interrupt to be turned on. If the current count value of the dual timer is not the period value, it may cause the first period to be shortened.

Parameters

  [in] | p_dual_timer | Pointer to a DUAL_TIMER handle which contains the configuration information for the specified DUAL TIMER.
  [in] | count_value | period count value

Return values

  HAL_OK | Operation is OK.
  HAL_ERROR | Parameter error or operation not supported.
  HAL_BUSY | Driver is busy.